#pragma once

#include "Ipc/config.h"


#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

	typedef void(__stdcall *ReaderCallbackFunc)(const char* data, unsigned int size);

    bool __stdcall initialize(const char* sender_name, const char* receiver_name);
    void __stdcall uninitialize();

    bool __stdcall listen();
    bool __stdcall send(const char* data, unsigned int size);
    bool __stdcall setReaderCallback(ReaderCallbackFunc callback);

    void __stdcall reConnect();

    bool __stdcall isConnect();

#ifdef __cplusplus
}
#endif // __cplusplus
